%define        javahome   /usr/lib/jvm/java-gcj

Name:          p6spy
Version:       1.3
Release:       %mkrel 1
Summary:       Database statement interceptor for Java
Group:         Development/Java
License:       ASL
Url:           http://sourceforge.net/projects/p6spy/
Source0:       http://downloads.sourceforge.net/project/p6spy/p6spy/%{version}/p6spy-src.jar
Patch0:        p6spy-1.3-crosslink.patch
BuildRequires: ant
BuildRequires: gnu-regexp
BuildRequires: java-1.5.0-gcj-devel
BuildRequires: java-1.5.0-gcj-javadoc
BuildRequires: jpackage-utils
BuildRequires: liblog4j-java
BuildRequires: log4j-javadoc
BuildRequires: regexp
# TODO BuildRequires: jboss-common
# TODO BuildRequires: jboss-system.
# TODO BuildRequires: jboss-jmx
Requires:      gnu-regexp
Requires:      jdbc-stdext
Requires:      jpackage-utils
Requires:      liblog4j-java
Requires:      regexp
BuildArch:     noarch

%description
P6Spy is a framework that enables database data to be seamlessly intercepted and
manipulated with no code changes to existing application. The P6Spy distribution
includes P6Log, an application which logs all JDBC transactions for any Java
application us

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
P6Spy is a framework that enables database data to be seamlessly intercepted and
manipulated with no code changes to existing application.

This package contains javadoc for %{name}.

%package manual
Group:          Development/Java
Summary:        Manual for %{name}

%description manual
P6Spy is a framework that enables database data to be seamlessly intercepted and
manipulated with no code changes to existing application.

This package contains documentation for %{name}.

%prep
%setup -q -c
%patch0 -p0
rm -rf javadocs documentation/Templates documentation/_notes
# TODO 
rm -rf com/p6spy/management/jboss

mkdir -p lib

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

%build
export JAVA_HOME=%javahome
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath regexp gnu.regexp log4j jdbc-stdext)
ant \
  -Dbuild.sysclasspath=last \
  -Dlog4j.javadoc%{_javadocdir}/log4j \
  -Dj2se.javadoc%{_javadocdir}/java-1.5.0-gcj \
  clean release

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/p6spy.jar %{buildroot}%{_javadir}/p6spy-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/p6spy-%{version}
cp -pr javadocs/* %{buildroot}%{_javadocdir}/p6spy-%{version}
ln -s p6spy-%{version} %{buildroot}%{_javadocdir}/p6spy

%files
%{_javadir}/p6spy-%{version}.jar
%{_javadir}/p6spy.jar

%files javadoc
%{_javadocdir}/p6spy-%{version}
%{_javadocdir}/p6spy

%files manual
%doc documentation/*



%changelog
* Thu Aug 11 2011 dmorgan <dmorgan> 1.3-1.mga2
+ Revision: 132699
- Clean spec file

  + gil <gil>
    - imported package p6spy


* Sat Jun 25 2011 gil <gil> 1.3-0.%%mkrel
- initial rpm